<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                <li>
                    <a href="{% url 'logout' %}">Logout</a>
                </li>
                <li>
                    <a href="{% url 'home' %}">Home</a>
                </li>
                <li>
                    <a href="{% url 'create_receipt' %}">Create Receipt</a>
                </li>
                <li>
                    <a href="{% url 'create_account' %}">Create Account</a>
                </li>
                <li>
                    <a href="{% url 'category_list' %}">Category List</a>
                </li>
                <li>
                    <a href="{% url 'create_category' %}">Create Category</a>
                </li>
                {% else %}
                <li>
                    <a href="{% url 'signup' %}">Sign Up</a>
                </li>
                <li>
                    <a href="{% url 'login' %}">Login</a>
                </li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <div>
            <h1>Account List</h1>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Number</th>
                    <th>Number of Receipts</th>
                </thead>
                <tbody>
                    {% for purchases in account_info %}
                    <tr>
                        <td>{{ purchases.name }}</td>
                        <td>{{ purchases.number }}</td>
                        <td>{{ purchases.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>

</html>
